@extends('dwtemplate.index')

@section("breadcrumb")
    <li class="breadcrumb-item ">
        <a href="{{ route('tags.index') }}">Liste des Tags Predefins</a>
    </li>
    <li class="breadcrumb-item active">
        Editer le Tags predefinis ({{$tags->name}})
    </li>
@endsection




@section('content')
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-md-12">
                <form action="{{ route('tags.update',$tags->id) }}" method="POST">

                    <div class="card">
                        <div class="card-header">
                            <i class="fa fa-align-justify"></i>
                            Editer Tags
                        </div>

                        <div class="card-body">

                            <div class="row">
                                @if ($errors->any())
                                    <div class="alert alert-danger">
                                        <strong>Whoops!</strong> There were some problems with your input.<br><br>
                                        <ul>
                                            @foreach ($errors->all() as $error)
                                                <li>{{ $error }}</li>
                                            @endforeach
                                        </ul>
                                    </div>
                                @endif
                            </div>
                                    @csrf
                                    @method('PUT')

                                    <div class="row">
                                        <div class="col-xs-6 col-sm-6 col-md-6">
                                            <div class="form-group">
                                                <strong>Name:</strong>
                                                <input type="text" name="name" value="{{ $tags->name }}" class="form-control" placeholder="Name">
                                            </div>
                                        </div>
                                    </div>
                        </div>
                        <div class="card-footer">
                            @if((Auth::user()->hasRole("Admin") || Auth::user()->hasRole("Webmaster") || Auth::user()->hasRole("JournalisteWeb")) || $post->status!=2)
                                <button class="btn btn-sm btn-success" type="submit">Enregistrer</button>
                            @endif
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>






@endsection
