<?php $__env->startSection("breadcrumb"); ?>
<li class="breadcrumb-item ">
    <a href="<?php echo e(route('postsList')); ?>">Liste des articles</a>
</li>
<li class="breadcrumb-item active">
    Editer article (<?php echo e($post->title); ?>)
</li>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <form action="<?php echo e(route('ajxUpdateArticle',['postId'=>$post->id])); ?>" method="post" id="editForm" >

                <?php echo csrf_field(); ?>


                <div class="card">
                    <div class="card-header">
                        <i class="fa fa-align-justify"></i>
                        Editer article
                    </div>

                    <div class="card-body">

                        <div class="row">

                            <div class="col-md-6">
                                <div class="form-group">
                                    <label class="form-col-form-label" for="title">Titre *</label>
                                    <input class="form-control" type="title" value="<?php echo e($post->title); ?>" name="title" id="title" />
                                    <div class="invalid-feedback"></div>
                                </div>
                            </div>

                            <div class="col-md-6">
                                <div class="form-group">
                                    <label class="form-col-form-label" for="title_flash">Titre flash</label>
                                    <input class="form-control" type="text" value="<?php echo e($post->title_flash); ?>" name="title_flash" id="title_flash" />
                                    <div class="invalid-feedback"></div>
                                </div>
                            </div>

                            <div class="col-md-6">
                                <div class="form-group">
                                    <label class="form-col-form-label" for="lang">Langue </label>
                                    <select class="form-control" name="lang" id="lang">
                                        <option value="ar" <?php if($post->lang=="ar"): ?> selected="selected" <?php endif; ?>>AR</option>
                                        <option value="fr" <?php if($post->lang=="fr"): ?> selected="selected" <?php endif; ?> >FR</option>
                                    </select>
                                    <div class="invalid-feedback"></div>
                                </div>
                            </div>

                            <div class="col-md-6">
                                <div class="form-group">
                                    <label class="form-col-form-label" for="meta_title">Titre SEO *</label>
                                    <input class="form-control" type="text" value="<?php echo e($post->meta_title); ?>" name="meta_title" id="meta_title" />
                                    <div class="invalid-feedback"></div>
                                </div>
                            </div>


                            <div class="col-md-4">
                                <div class="form-group">
                                    <label class="form-col-form-label" for="category">Catégories</label>
                                    <select class="form-control" id='category' name='category[]' multiple="multiple">
                                        <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($category->id); ?>" <?php if($post->categories->find($category->id)): ?> selected="selected" <?php endif; ?> ><?php echo e($category->title); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                    <div class="invalid-feedback"></div>
                                </div>
                            </div>

                        <div class="col-md-5">
                                <div class="form-group">
                                    <label class="form-col-form-label" for="tags">Tags</label>
                                    <select class="form-control" id='tags' name='tags[]' multiple="multiple">
                                        <?php $__currentLoopData = $post->tags; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $tag): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($tag->id); ?>" <?php if($post->tags->find($tag->id)): ?> selected="selected" <?php endif; ?>><?php echo e($tag->title); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                    <div class="invalid-feedback"></div>
                                </div>
                            </div>

                            <div class="col-md-3">
                                <div class="form-group">
                                    <label class="form-col-form-label" for="tagss">Tags Predefinis</label>
                                    <select class="form-control tags-predefinis" id='tagss' name='tagss[]'>
                                        <?php $__currentLoopData = $tagsPredefinis; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $tags): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($tags->id); ?>" ><?php echo e($tags->name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                    <div class="invalid-feedback"></div>
                                </div>
                            </div>

                            <div class="col-md-12">
                                <div class="form-group">
                                    <label class="form-col-form-label" for="summary">Résumé *</label>
                                    <textarea class="form-control" id="summary" name="summary"><?php echo e($post->summary); ?></textarea>
                                    <div class="invalid-feedback"></div>
                                </div>
                            </div>

                            <div class="col-md-12">
                                <div class="form-group">
                                    <label class="form-col-form-label" for="meta_description">Déscription SEO *</label>
                                    <textarea class="form-control" id="meta_description" name="meta_description"><?php echo e($post->meta_description); ?></textarea>
                                    <div class="invalid-feedback"></div>
                                </div>
                            </div>

                            <div class="col-md-6">
                                <div class="form-group">
                                    <label class="form-col-form-label" for="meta_keywords">Mots Clés *</label>
                                    <input class="form-control" type="text" name="meta_keywords" value="<?php echo e($post->meta_keywords); ?>" id="meta_keywords" />
                                    <div class="invalid-feedback"></div>
                                </div>
                            </div>

                            <div class="col-md-6">
                                <div class="form-group">
                                    <label class="form-col-form-label" for="meta_news_keywords">Mots Clés News *</label>
                                    <input class="form-control" type="text" name="meta_news_keywords" value="<?php echo e($post->meta_news_keywords); ?>" id="meta_news_keywords" />
                                    <div class="invalid-feedback"></div>
                                </div>
                            </div>

                            <div class="col-md-6">

                                <div class="form-group">
                                    <input type="hidden" class="form-control" name="img" id="img" value="<?php echo e($post->img); ?>" />
                                    <label class="form-col-form-label" for="img_maker">Image de couverture *</label>
                                    <div class="input-group">
                                        <input type="text" class="form-control imgSelector" value="<?php echo e($post->img); ?>" data-photoMaker="<?php echo e(route('PhotoArticle')); ?>" data-original="<?php echo e($post->img); ?>" disabled name="img_maker" data-dest="img" id="img_maker" />
                                        <span class="input-group-append">
                                            <button class="btn btn-primary popup_selector" data-inputid="img_maker" type="button">
                                                <i class="fa fa-photo"></i>
                                            </button>
                                        </span>
                                        <span class="input-group-append">
                                            <button class="btn btn-warning popup_selector_colse" data-inputid="img_maker" type="button">
                                                <i class="fa fa-close"></i>
                                            </button>
                                        </span>
                                        <span class="input-group-append">
                                            <button class="btn btn-success popup_selector_visualize" href="<?php echo e(config("paths.PHOTOS_URL").'posts/'.
                                            (date("Y", strtotime($post->created_at))).'/'.
                                            (date("m", strtotime($post->created_at))).'/'.
                                            (date("d", strtotime($post->created_at))).'/'.$post->img); ?>" data-inputid="img_maker" type="button">
                                                <i class="fa fa-eye"></i>
                                            </button>
                                        </span>
                                    </div>

                                    <div class="invalid-feedback"></div>
                                </div>
                            </div>

                            <div class="col-md-6">
                                <div class="form-group">
                                    <label class="form-col-form-label" for="img_alt">Alt image de couverture *</label>
                                    <input class="form-control" type="text" value="<?php echo e($post->img_alt); ?>" name="img_alt" id="img_alt" />
                                    <div class="invalid-feedback"></div>
                                </div>
                            </div>

                            <div class="col-md-3">
                                <div class="form-group">
                                    <div class="form-check form-check-inline">
                                        <input class="form-check-input" id="last_news" name="last_news" type="checkbox" value="1" <?php if($post->last_news==1): ?> checked <?php endif; ?>>
                                        <label class="form-check-label" for="last_news">Dernières news</label>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-3">
                                <div class="form-group">
                                    <div class="form-check form-check-inline">
                                        <input class="form-check-input" id="flash_news" <?php if($post->flash_news==1): ?> checked <?php endif; ?> name="flash_news" type="checkbox" value="1">
                                        <label class="form-check-label" for="flash_news">Flash news</label>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-3">
                                <div class="form-group">
                                    <div class="form-check form-check-inline">
                                        <input class="form-check-input" id="facebook_instant_article" name="facebook_instant_article" type="checkbox" value="1" <?php if($post->facebook_instant_article==1): ?> checked <?php endif; ?>>
                                        <label class="form-check-label" for="facebook_instant_article">Facebook instant article</label>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-3">
                                <div class="form-group">
                                    <div class="form-check form-check-inline">
                                        <input class="form-check-input" id="google_amp" name="google_amp" type="checkbox" value="1" <?php if($post->google_amp==1): ?> checked <?php endif; ?>>
                                        <label class="form-check-label" for="google_amp">Google AMP</label>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <div class="form-check form-check-inline">
                                        <input class="form-check-input" id="private_post" name="private_post" type="checkbox" value="1" <?php if($post->is_restricted==1): ?> checked <?php endif; ?>>
                                        <label class="form-check-label" for="private_post">Contenu privé</label>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label class="form-col-form-label" for="rss_title">Titre RSS</label>
                                    <input class="form-control" type="text" name="rss_title" id="rss_title" value="<?php echo e($post->rss_title); ?>"/>
                                    <div class="invalid-feedback"></div>
                                </div>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label class="form-col-form-label" for="content">Contenu *</label>
                                    <textarea class="form-control" id="content" name="content"><?php echo e($post->content); ?></textarea>
                                    <div class="invalid-feedback"></div>
                                </div>
                            </div>

                            <?php if(!($post->status==2 && !Auth::user()->hasRole("Admin"))): ?>
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label class="form-col-form-label" for="status">Status</label>
                                        <select class="form-control" id='status' name='status'>
                                            <option value='0' <?php if($post->status==0): ?> selected="selected" <?php endif; ?> >Brouillon</option>
                                            <option value='1' <?php if($post->status==1): ?> selected="selected" <?php endif; ?> >En attente de publication</option>
                                            <?php if(Auth::user()->hasRole("Admin") || Auth::user()->hasRole("Webmaster") || Auth::user()->hasRole("JournalisteWeb")): ?>
                                                <option value='2' <?php if($post->status==2): ?> selected="selected" <?php endif; ?> >Publié</option>
                                            <?php endif; ?>
                                        </select>
                                        <div class="invalid-feedback"></div>
                                    </div>
                                </div>
                            <?php endif; ?>

                        </div>

                    </div>

                    <div class="card-footer">
                        <?php if((Auth::user()->hasRole("Admin") || Auth::user()->hasRole("Webmaster") || Auth::user()->hasRole("JournalisteWeb")) || $post->status!=2): ?>
                            <button class="btn btn-sm btn-success" type="submit">Enregistrer</button>
                        <?php endif; ?>
                    </div>

                </div>
            </form>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('js'); ?>
    <script>
        var elfinderUrl='<?php echo e(url("/elfinder/popup")); ?>/';
        var storagePath='<?php echo e(config("paths.STORAGE_PATH")); ?>';
        var photosUrl='<?php echo e(config("paths.PHOTOS_URL")); ?>';
    </script>
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset( 'vendor/colorbox/css/colorbox.css')); ?>">
    <script src="<?php echo e(asset('vendor/colorbox/js/jquery.colorbox-min.js')); ?>"></script>
    <script src="<?php echo e(asset('packages/barryvdh/elfinder/js/standalonepopup.js')); ?>"></script>

    <script src="<?php echo e(asset('js/scripts/posts/edit-article.js')); ?>"></script>
    <script>
                $(document).ready(function() {
            $('#category').select2();
            $('#tags').select2({
                tags: "true",
                ajax:{
                    url:"<?php echo e(route('tagsAjaxList')); ?>",
                    type:'get',
                    delay: 250,
                    data: function (params) {
                        var query = {
                            term: params.term
                        }
                        return query;
                    },
                    processResults: function (response){
                        return {
                            results:response
                        }
                    }
                },
                minimumInputLength:2
            });
        });
        CKEDITOR.replace( 'content',CKoptions );
        for (var i in CKEDITOR.instances) {
            CKEDITOR.instances[i].on('change', function() { CKEDITOR.instances[i].updateElement() });
        }
    </script>


    <script>
        $(document).ready(function(){
            $("select.tags-predefinis").on("change",function(e){
                var optionText = $(this).children("option:selected").text();
                //var optionValue = $(this).children("option:selected").text();
                if ($('#tags').find("option[value='" + optionText + "']").length) {
                    aux=$('#tags').val();
                    aux.push(optionText);
                    $('#tags').val(aux).trigger('change');
                } else {
                    // Create a DOM Option and pre-select by default
                    var newOption = new Option(optionText, optionText, true, true);
                    // Append it to the select
                    //$('#tags').append('<option>NewOption</option>').trigger('change');
                    $('#tags').append(newOption).trigger('change');
                    //$("#tagss option:selected").attr('disabled','disabled');

                }



                //$('#tags').append(`<option value="${optionText}"> ${optionValue} </option>`);
            });
        });





    </script>


    <script>

        window.addEventListener('load', function () {
            // Premièrement, vérifions que nous avons la permission de publier des notifications. Si ce n'est pas le cas, demandons la
            if (window.Notification && Notification.permission !== "granted") {
                Notification.requestPermission(function (status) {
                    if (Notification.permission !== status) {
                        Notification.permission = status;
                    }
                });
            }

            var button = document.getElementsByTagName('button')[0];

            button.addEventListener('click', function () {
                // Si l'utilisateur accepte d'être notifié
                if (window.Notification && Notification.permission === "granted") {
                    var n = new Notification("Coucou !");
                }

                // Si l'utilisateur n'a pas choisi s'il accepte d'être notifié
                // Note: à cause de Chrome, nous ne sommes pas certains que la propriété permission soit définie, par conséquent il n'est pas sûr de vérifier la valeur par défaut.
                else if (window.Notification && Notification.permission !== "denied") {
                    Notification.requestPermission(function (status) {
                        if (Notification.permission !== status) {
                            Notification.permission = status;
                        }

                        // Si l'utilisateur est OK
                        if (status === "granted") {
                            var n = new Notification("Coucou !");
                        }

                        // Sinon, revenons en à un mode d'alerte classique
                        else {
                            alert("Coucou !");
                        }
                    });
                }

                // Si l'utilisateur refuse d'être notifié
                else {
                    // We can fallback to a regular modal alert
                    alert("Coucou !");
                }
            });
        });
    </script>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('dwtemplate.index', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>